1.修改源
sudo gedit /etc/apt/sources.list

内容如下:
deb cdrom:[Debian GNU/Linux 5.0.7 _Lenny_ - Official i386 CD Binary-1 20101127-16:55]/ lenny main

deb http://mirrors.163.com/debian lenny contrib main non-free
deb-src http://mirrors.163.com/debian lenny contrib main non-free

deb http://apt.wxwidgets.org/ lenny-wx main
deb-src http://apt.wxwidgets.org/ lenny-wx main

2. 获取密钥
sudo wget http://apt.wxwidgets.org/key.asc
sudo apt-key add key.asc

(不执行的话,会提示:由于没有公钥,下列签名无法进行验证: NO_PUBKEY 0E0BCE7F53B087BC)

3.更新源
sudo apt-get update

4.安装gcc工具链
sudo apt-get install build-essential
sudo apt-get install gdb

5.安装wxWidgets库
sudo apt-get install libwxgtk2.8.*

6.安装CodeBlocks10.05
解压缩codeblocks-10.05-1-debian-dbg-i386.tar.bz2后执行安装
sudo dpkg -i *.deb

7.安装中文语言包
解压缩locale.tar.gz到/usr/share/codeblocks/locale目录下

------------------------------------------------------------------------------
备注(2011年12月3日22:59:44):
如果不用apt-get来安装wxWidgets库,那安装过程就简单直接的多了。
以CodeBlocks10.05在Debian6.0.3上的安装为例:
1.下载wxWidgets库的安装文件(竟然需要去墙外?!)
http://apt.wxwidgets.org/dists/squeeze-wx/main/binary-i386/
libwxbase2.8-0_2.8.12.1-0_i386.deb
libwxgtk2.8-0_2.8.12.1-0_i386.deb

2.下载codeblocks安装文件

3.用dpkg -i命令,根据依赖顺序直接安装即可。

要开发GUI程序,需要安装gtk的开发包:
apt-get install libgtk2.0-dev

------------------------------------------------------------------
要开发基于wxWidgets的GUI程序,安装下面的开发包
apt-get install libwxgtk2.8-dev

备注:(2011年12月6日)
对于Debian6.0.3,直接dpkg -i 安装(不必按照步骤1-7执行,根据错误提示逐个解决即可)


本文链接地址: 体验Linux.4 Debian5.0.7下安装CodeBlocks10.05
http://qingfengju.com/index.asp?id=241

分类:Linux 查看次数:8168 发布时间:2010-12-4 20:51:25